PETSc version 3.17.4
Fix/Edit manual page

# DMPlexGetConeOrientation

Return the orientations on the in-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeOrientation(DM dm, PetscInt p, const PetscInt *coneOrientation[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

| coneOrientation | - An array of orientations which are on the in-edges for point p. An orientation is an integer giving the prescription for cone traversal.

### Notes

The number indexes the symmetry transformations for the cell type (see manual). Orientation 0 is always the identity transformation. Negative orientation indicates reflection so that -(o+1) is the reflection of o, however it is not necessarily the inverse. To get the inverse, use DMPolytopeTypeComposeOrientationInv() with the identity.

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code. You must also call DMPlexRestoreConeOrientation() after you finish using the returned array. DMPlexRestoreConeOrientation() is not needed/available in C.

### See Also

DMPolytopeTypeComposeOrientation(), DMPolytopeTypeComposeOrientationInv(), DMPlexCreate(), DMPlexGetCone(), DMPlexSetCone(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages